@echo off
if "%1"=="-clean" goto del_files
csc /target:library servicehelper.cs
jsc /out:jsNewsService.exe jsNewsService.js
md ..\jsNewsSite\Bin
jsc /out:..\jsNewsSite\Bin\jsNetProgDatabase.dll jsNetProgDatabase.js
wsdl /l:js /namespace:jsNewsProxy http://localhost/jsNewsSite/submitNews.asmx
jsc /t:library /out:..\jsNewsSite\Bin\addNews.dll addNews.js
goto end
:del_files
echo Removing intermediate files...
net stop jsNewsService
InstallUtil /u jsNewsService.exe
if exist servicehelper.dll del /q servicehelper.dll
if exist jsNewsService.exe del /q jsNewsService.exe
if exist *.InstallLog del /q *.InstallLog
if exist addnews.js del /q addnews.js
rd /s/q ..\jsNewsSite\Bin
md ..\jsNewsSite\Bin
echo Command completed.
:end



